module OpenWeatherMap
  module CityMethods
    def city(city)
      new(city: city)
    end

    def city_id(city_id)
      new(city_id: city_id)
    end

    def geolocate(args)
      lat = args.respond_to?(:lat) ? args.lat : args[:lat]
      lng = args.respond_to?(:lng) ? args.lng : args[:lng]
      new(lat: lat, lng: lng)
    end
  end
end